$! DCL script to compile and link HEXTErock in situ, and define the
$! command "HEXTErock" such that command-line arguments may be used.
$! P. R. Blanco, CASS/UCSD (pblanco@ucsd.edu)
$!
$ VERIFLAG = F$VERIFY(0)
$ ON ERROR THEN EXIT
$ 
$ WRITE SYS$OUTPUT "Compiling HEXTErock..."
$ CC/STANDARD=ANSI HEXTEROCK
$ 
$ WRITE SYS$OUTPUT "Linking HEXTErock..."
$ LINK HEXTEROCK, SYS$LIBRARY:VAXCRTL/LIBRARY
$
$! Define the "HEXTErock" command to point to the directory we're in:
$ HEXTEROCK :== $'F$ENV("DEFAULT")'HEXTEROCK.EXE
$ WRITE SYS$OUTPUT "Linking complete: HEXTEROCK command has been defined as:"
$ SHOW SYM HEXTEROCK
$ WRITE SYS$OUTPUT "(Add this to your LOGIN.COM)."
$
$! Clean up old object files and restore verification flag
$ PURGE HEXTEROCK.OBJ
$ VERIFY = F$VERIFY(VERIFLAG)
$EXIT
